#pragma once

#include <imgui.h>

#include "../../resource/texture.hpp"

namespace game::util::imgui
{
  bool texture_widget(const char* id, const resource::Texture* texture, bool isMissing = false,
                      const ImVec2& maxSize = ImVec2(48.0f, 48.0f));
}
